using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HaloObjects;

namespace Portal.Decorator
{
    public class Class
    {
        public string Name;
        public Permutation[] Permutations;

        public void Read(MetaNode[] decr)
        {
            Name = (string)decr[0].GetValue();
            Permutations = new Permutation[((Reflexive)decr[3]).GetChunkCount()];
            for (int i = 0; i < Permutations.Length; i++)
            {
                ((Reflexive)decr[3]).ChangeIndex(i);
                Permutations[i] = new Permutation();
                Permutations[i].Read((MetaNode[])decr[3].GetValue());
            }
        }
    }
}
